Skip to main content
POST
/
Transaction
/
PaymentRequest
/
{paymentRequestId}
/
Accept
cURL
curl --request POST \
  --url https://api.trysynch.com/Transaction/PaymentRequest/{paymentRequestId}/Accept \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "acceptDebitAuth": true,
  "transferDescription": "<string>"
}
'
{
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Path Parameters

paymentRequestId
string<uuid>
required

Body

bankAccountId
string<uuid>
acceptDebitAuth
boolean | null
transferDescription
string | null

Response

OK

status
string